Skip to main content
Resource Center/Network Resource/VPC Operations
GETVPC OperationsSince 4.5.0SynchronousAuth Required

GetVirtualRouterSoftwareVersion

GetVirtualRouterSoftwareVersion

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • uuidString

    Optional. The resource UUID.

  • softwareNameStringRequired

    The VPC software name.

  • needUpdateBoolean

    Optional. Choose whether to update.

  • systemTagsList

    Optional. The system tag.

  • userTagsList

    Optional. The user tag.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The resource UUID.

    • softwareNameStringRequired

      The VPC software name.

    • currentVersionStringRequired

      The current version.

    • latestVersionStringRequired

      The latest version.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/vpc/virtual-routers/{uuid}/softwareversion

/zstack/v1/vpc/virtual-routers/{uuid}/softwareversion

Operation ID

GetVirtualRouterSoftwareVersion

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vpc/virtual-routers/{uuid}/softwareversion?uuid=<uuid>&softwareName=<softwareName>&needUpdate=True&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "4eb255bf21ff3b3384768b06aa612818", "softwareName": "IPsec", "currentVersion": "4.5.2", "latestVersion": "5.9.4" } ] }

Change History

This API has no change history records yet.

View all change history